langcode: en
status: true
dependencies:
  enforced:
    module:
      - webform
uid: null
template: false
id: contact
title: Contact
description: 'Basic email contact webform.'
elements: |
  name:
    '#title': 'Your Name'
    '#type': textfield
    '#required': true
    '#default_value': '[webform-authenticated-user:display-name]'
  email:
    '#title': 'Your Email'
    '#type': email
    '#required': true
    '#default_value': '[webform-authenticated-user:mail]'
  subject:
    '#title': Subject
    '#type': textfield
    '#required': true
    '#test': 'Testing contact webform from [site:name]'
  message:
    '#title': Message
    '#type': textarea
    '#required': true
    '#test': 'Please ignore this email.'
css: ''
javascript: ''
settings:
  page: true
  page_submit_path: ''
  page_confirm_path: ''
  form_submit_label: 'Send message'
  form_submit_once: false
  form_submit_attributes: {  }
  form_exception_message: ''
  form_closed_message: ''
  form_previous_submissions: true
  form_confidential: false
  form_confidential_message: ''
  form_prepopulate: false
  form_prepopulate_source_entity: false
  form_disable_autocomplete: false
  form_novalidate: false
  form_unsaved: false
  form_disable_back: false
  form_autofocus: false
  form_details_toggle: false
  wizard_progress_bar: true
  wizard_progress_pages: false
  wizard_progress_percentage: false
  wizard_next_button_label: ''
  wizard_next_button_attributes: {  }
  wizard_prev_button_label: ''
  wizard_prev_button_attributes: {  }
  wizard_start_label: ''
  wizard_complete: true
  wizard_complete_label: ''
  preview: 0
  preview_next_button_label: ''
  preview_next_button_attributes: {  }
  preview_prev_button_label: ''
  preview_prev_button_attributes: {  }
  preview_message: ''
  draft: false
  draft_auto_save: false
  draft_button_label: ''
  draft_button_attributes: {  }
  draft_saved_message: ''
  draft_loaded_message: ''
  confirmation_type: url_message
  confirmation_message: 'Your message has been sent.'
  confirmation_url: '<front>'
  confirmation_attributes: {  }
  confirmation_back: true
  confirmation_back_label: ''
  confirmation_back_attributes: {  }
  limit_total: null
  limit_total_message: ''
  limit_user: null
  limit_user_message: ''
  purge: none
  purge_days: null
  entity_limit_total: null
  entity_limit_user: null
  results_disabled: false
  results_disabled_ignore: false
  token_update: false
access:
  create:
    roles:
      - anonymous
      - authenticated
    users: {  }
  view_any:
    roles: {  }
    users: {  }
  update_any:
    roles: {  }
    users: {  }
  delete_any:
    roles: {  }
    users: {  }
  purge_any:
    roles: {  }
    users: {  }
  view_own:
    roles: {  }
    users: {  }
  update_own:
    roles: {  }
    users: {  }
  delete_own:
    roles: {  }
    users: {  }
handlers:
  email_confirmation:
    id: email
    label: 'Email confirmation'
    handler_id: email_confirmation
    status: true
    weight: 1
    settings:
      to_mail: '[webform_submission:values:email:raw]'
      cc_mail: ''
      bcc_mail: ''
      from_mail: default
      from_name: default
      subject: '[webform_submission:values:subject:value]'
      body: '[webform_submission:values:message:value]'
      excluded_elements: {  }
      html: true
      attachments: false
      debug: false
  email_notification:
    id: email
    label: 'Email notification'
    handler_id: email_notification
    status: true
    weight: 1
    settings:
      to_mail: default
      cc_mail: ''
      bcc_mail: ''
      from_mail: '[webform_submission:values:email:raw]'
      from_name: '[webform_submission:values:name:value]'
      subject: '[webform_submission:values:subject:value]'
      body: '[webform_submission:values:message:value]'
      excluded_elements: {  }
      html: true
      attachments: false
      debug: false
